Skip to content

退款查询

退款批量查询

请求地址:GET /search/list/refund

请求参数

说明:

  • 必须有一个查询条件
  • 如果查询条件为时间,范围不能超过一个月
参数类型必填说明
uniqueIdString(128)选填系统交易 ID
transactionIdString(128)选填商户交易请求 ID
refundTransactionIdString(128)选填退款商户请求的退款 ID
refundUniqueIdString(128)选填退款返回的系统唯一退款 ID
startDateString(32)必填交易查询时间,开始时间格式(2025-01-01/2025-01-01 00:00:00)
endingDateString(32)必填交易查询时间,结束时间格式(2025-01-01/2025-01-01 00:00:00)
currPageNumber(20)选填请查看分页详情
pageSizeNumber(3)选填请查看分页详情

请求实例

https://domain/search/list/refund?startDate=2025-02-01&endingDate=2025-02-16&currPage=1

返回实例

data中订单参数详情

json
{
  "code": 121,
  "message": "Search success",
  "timestamp": 1677825024053,
  "currPage": 1,
  "totalCount": 66,
  "totalPage": 7,
  "pageSize": 10,
  "data": [
    {
      "code": 111,
      "merchantRefundId": "1677823321",
      "uniqueId": "1631534182100414466",
      "refundUniqueId": "1631535378940026882",
      "refundCurrency": "USD",
      "refundAmount": "1.00",
      "refundRequestAt": "2023-03-03 14:02:01",
      "refundAt": "2023-03-03 14:02:01",
      "message": "Refund successful",
      "timestamp": 1677825024053
    },
    {
      ......
    }
  ]
}